import React from 'react';
import 'jb-switch';
import { JBSwitchWebComponent } from 'jb-switch';
declare global {
    namespace JSX {
        interface IntrinsicElements {
            'jb-switch': JBSwitchType;
        }
        interface JBSwitchType extends React.DetailedHTMLProps<React.HTMLAttributes<JBSwitchWebComponent>, JBSwitchWebComponent> {
            class?: string;
            name?: string;
            "true-title"?: string;
            "false-title"?: string;
        }
    }
}
export type JBSwitchEventType<T> = T & {
    target: JBSwitchWebComponent;
};
export type JBSwitchProps = {
    style?: string;
    name?: string;
    className?: string;
    onChange?: (e: JBSwitchEventType<Event>) => void;
    value: boolean | null | undefined;
    trueTitle: string | null | undefined;
    falseTitle: string | null | undefined;
    isLoading: boolean | null | undefined;
};
export declare const JBSwitch: React.ForwardRefExoticComponent<JBSwitchProps & React.RefAttributes<unknown>>;
